package cn.com.qmth.examcloud.app.controller;

import static cn.com.qmth.examcloud.app.model.Constants.PARAM_APP_KEY;
import static cn.com.qmth.examcloud.app.model.Constants.PARAM_APP_TOKEN;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import cn.com.qmth.examcloud.app.model.Result;
import cn.com.qmth.examcloud.app.service.CoreBasicService;
import cn.com.qmth.examcloud.app.service.CoreOeService;
import cn.com.qmth.examcloud.web.support.ControllerSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

@RestController
@RequestMapping("${$rmp}/v2/student")
@Api(tags = "学生相关接口")
public class StudentController extends ControllerSupport {

    @Autowired
    private CoreBasicService coreBasicService;

    @ApiOperation(value = "学生在线信号", notes = "学生在线信号")
	@GetMapping("online_signal/{studentId}")
	public Result onlineSignal(@RequestHeader(name = PARAM_APP_KEY) String key, @RequestHeader(name = PARAM_APP_TOKEN) String token,
			@PathVariable Long studentId) throws Exception{
	    return coreBasicService.onlineSignal(key, token,studentId);
	}


}
